//
// Copyright 2002 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wFstatPane:
//	runs p4 where - saves results in 3 StrBufs


#ifndef p4wFstatPane_H
#define p4wFstatPane_H

#include "p4wPane.h"


class p4wFstatPane : public p4wPane {

public:

	p4wFstatPane( p4wView & ParentView, p4wRequest & Request );
	
	virtual	~p4wFstatPane();

	//
	// Render functions.
	
	virtual	void Begin();
	virtual	void Render( StrDict * varList );
	virtual void RenderError( char *data, int escapeHTML );
	virtual	void End();

	StrBuf	fDepotFile;
	StrBuf	fClientFile;
//	StrBuf	fIsMapped;
//	StrBuf	fHeadAction;
//	StrBuf	fHeadType;
//	StrBuf	fHeadTime;
//	StrBuf	fHeadRev;
//	StrBuf	fHeadChange;
//	StrBuf	fHeadModTime;
//	StrBuf	fHaveRev;
	StrBuf	fErrMsg;
	int		fError;

private:
	int fSeenData;
};

#endif // p4wFstatPane_H
